[U-Boot] [PATCH 1/2] MAKEALL: run genboardscfg.py all the time
Masahiro Yamada
yamada.m at jp.panasonic.com
Fri Aug 22 07:33:40 CEST 2014
This commit makes sure boards.cfg is up to date before starting
the build tests. tools/genboardscfg.py exits immediately printing
"boards.cfg is up to date. Nothing to do." when boards.cfg is
already new.
Signed-off-by: Masahiro Yamada <yamada.m at jp.panasonic.com>
---
MAKEALL | 11 ++++-------
1 file changed, 4 insertions(+), 7 deletions(-)
diff --git a/MAKEALL b/MAKEALL
index 2e826c1..4822054 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -171,13 +171,10 @@ GNU_MAKE=$(scripts/show-gnu-make) || {
# echo "Remaining arguments:"
# for arg do echo '--> '"\`$arg'" ; done
-if [ ! -r boards.cfg ]; then
- echo "Could not find boards.cfg"
- tools/genboardscfg.py || {
- echo "Failed to generate boards.cfg" >&2
- exit 1
- }
-fi
+tools/genboardscfg.py || {
+ echo "Failed to generate boards.cfg" >&2
+ exit 1
+}
FILTER="\$1 !~ /^#/"
[ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
--
1.9.1
More information about the U-Boot
mailing list